@echo off
::set ESPTOOL_BAUD=2000000
:menu
echo [96m
echo Install Coolhardware.de ElecPow 1.x (for ESP8266)
echo [97m
echo i - Display flash chip information
echo b - Create backup of current firmware
echo r - Restore backup
echo q - Quit
echo [96m
echo Flash ElecPow with the following default pin configuration.
echo You can change the pin configuration via the web interface at any time:
echo [97m
echo 0 - Generic ESP8266 without preset
echo 1 - Sonoff Pow R2 / SA-001 / Sonoff S31
echo 2 - Sonoff Pow
echo 3 - Gosund SP1 (v2.3+)
echo 4 - BlitzWolf BW-SHP2/6 (10A) / Gosund SP111 (v1.4) / GSP1311
echo 5 - BlitzWolf BW-SHP6 (15A) / Gosund EP2 / Gosund SP111 (v1.1)
echo 6 - Avatto OT08 RGB / XS-A12 / Lonsonho / Vansware
echo 7 - Sonoff Pow R3
echo [0m
choice /n /c:01234567qibr /M "Please choose an option:"
GOTO menu-%ERRORLEVEL%

:menu-1
esptool\python esptool\esptool.py write_flash --erase-all 0 ESP8266.bin
if errorlevel 1 goto menu
goto end

:menu-2
esptool\python esptool\esptool.py write_flash --erase-all 0 SONOFF_POW_R2.bin
if errorlevel 1 goto menu
goto end

:menu-3
esptool\python esptool\esptool.py write_flash --erase-all 0 SONOFF_POW.bin
if errorlevel 1 goto menu
goto end

:menu-4
esptool\python esptool\esptool.py write_flash --erase-all 0 GOSUND_SP1_V23.bin
if errorlevel 1 goto menu
goto end

:menu-5
esptool\python esptool\esptool.py write_flash --erase-all 0 BLITZWOLF_SHP6_10A.bin
if errorlevel 1 goto menu
goto end

:menu-6
esptool\python esptool\esptool.py write_flash --erase-all 0 BLITZWOLF_SHP6_15A.bin
if errorlevel 1 goto menu
goto end

:menu-7
esptool\python esptool\esptool.py write_flash --erase-all 0 AVATTO_OT08.bin
if errorlevel 1 goto menu
goto end

:menu-8
esptool\python esptool\esptool.py write_flash --erase-all 0 SONOFF_POW_R3.bin
if errorlevel 1 goto menu
goto end

:menu-9
goto end

:menu-10
esptool\python esptool\esptool.py flash_id
goto menu

:menu-11
if exist backup.bin (
 echo "The file backup.bin is already present!"
) else (
 esptool\python esptool\esptool.py read_flash 0 0 backup.bin
)
goto menu

:menu-12
esptool\python esptool\esptool.py write_flash --erase-all 0 backup.bin
if errorlevel 1 goto menu
goto end

:end
